Game servers
GET https://uptime4.com/api/game-servers/
curl --request GET \
--url 'https://uptime4.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, target, port. |
| is_enabled | 선택 사항 부울 | |
| type | 선택 사항 문자열 | 허용된 값: minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 선택 사항 정수 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: last_datetime, datetime, last_check_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: game_server_id, last_datetime, datetime, last_check_datetime, total_checks, name, uptime, average_response_time, average_online_players, online_players, maximum_online_players. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-04-21 01:57:41",
"next_check_datetime": "2026-04-22 01:57:41",
"is_enabled": true,
"datetime": "2026-04-21 01:57:41",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/game-servers?page=1",
"last": "https://uptime4.com/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/game-servers?page=1"
}
}
GET https://uptime4.com/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-04-21 01:57:41",
"next_check_datetime": "2026-04-22 01:57:41",
"is_enabled": true,
"datetime": "2026-04-21 01:57:41",
}
}
POST https://uptime4.com/api/game-servers
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| target | 필수 문자열 | - |
| port | 필수 문자열 | - |
| query_port | 선택 사항 문자열 | - |
| type | 선택 사항 문자열 | 허용된 값: minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 선택 사항 정수 | - |
| check_interval_seconds | 선택 사항 정수 | 허용된 값: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (초) |
| timeout_seconds | 선택 사항 정수 | 허용된 값: 1, 2, 3, 5, 10, 25 (초) |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://uptime4.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://uptime4.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/game-servers/{game_server_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 선택 사항 문자열 | - |
| target | 선택 사항 문자열 | - |
| port | 선택 사항 문자열 | - |
| query_port | 선택 사항 문자열 | - |
| type | 선택 사항 문자열 | 허용된 값: minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 선택 사항 정수 | - |
| check_interval_seconds | 선택 사항 정수 | 허용된 값: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (초) |
| timeout_seconds | 선택 사항 정수 | 허용된 값: 1, 2, 3, 5, 10, 25 (초) |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \